#
# spec file for package perl-Text-Levenshtein-Damerau
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-Levenshtein-Damerau
Version:        0.41
Release:        1.1
%define cpan_name Text-Levenshtein-Damerau
Summary:        Damerau Levenshtein edit distance
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Text-Levenshtein-Damerau/
Source0:        http://www.cpan.org/authors/id/U/UG/UGEXE/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
Returns the true Damerau Levenshtein edit distance of strings with adjacent
transpositions. Useful for fuzzy matching, DNA variation metrics, and fraud
detection.

Defaults to using Pure Perl the Text::Levenshtein::Damerau::PP manpage, but
has an XS addon the Text::Levenshtein::Damerau::XS manpage for massive
speed imrovements. Works correctly with utf8 if backend supports it; known
to work with 'Text::Levenshtein::Damerau::PP' and
'Text::Levenshtein::Damerau::XS'.

	use utf8;
	my $tld = Text::Levenshtein::Damerau->new('ⓕⓞⓤⓡ');
	print $tld->dld('ⓕⓤⓞⓡ');
	# prints 1

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sun Sep 20 2015 coolo@suse.com
- initial package 0.41
  * created by cpanspec 1.78.08
